function bhh(){}
function dhh(a){this.a=a}
function Sgh(a){this.a=a}
function Vgh(a){this.a=a}
function qpf(a,b){a.a=b;return a}
function rpf(a){a.e=100;return a}
function spf(){this.c=new VWd;ED();this.d=nAj}
function sff(){this.b=BA($doc);this.a=BA($doc)}
function xmd(a){a.a.oe(0,2);tmd(a.a.c,0,2)[SCj]=Iak}
function vmd(a,b,d){var e;a.a.oe(b,1);e=tmd(a.a.c,b,1);Fz(e,G3j,d.a)}
function Uoh(a){var b;if(!a.d){b=new bhh;a.d=b}return a.d}
function Qu(a,b,d,e){var g;Wu(a,b,d);g=Hu(a,b,d,e==null);e!=null&&Cz(g,e)}
function Qgh(a,b,d,e){lGd.call(this,a,b,d);this.a=e;this.b=new N0i(g2b)}
function tff(a,b){if(a==0||b==0)return 0;return l3c(Y2c(Math.round(b/a*100)))}
function Ugh(a,b){var d,e;d=Nnj(b);if(Y7i(d,XGj).b.b!=(omj(),nmj)){e=D0i(a.a.b,Y7i(d,XGj));ahh(a.a.A,e)}else{ahh(a.a.A,null)}}
function Pgh(a){var b,d;b=nef();g8i(M7i(b),dIj,tEj);d=new u8i;f8i(Y7i(d,OGj),'engine-statistics');k8i(Y7i(d,QGj),b);Tnj(new knj(d),new Vgh(a))}
function ppf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function Toh(a){var b;if(!a.c){b=new Qgh(vFd(sce(a.a)),Uoh(a),Soh(a),(voj(Zde(a.a)),z1i(Xde(a.a)),SLg(lde(a.a))));HFd((tce(a.a),b),EGd(tce(a.a)));a.c=b}return a.c}
function ahh(a,b){var d;d=new jef(jM(r0c,Gxj,-1,[Z2c(b.tI().a),b.uI().a,b.vI().a,b.pI().a,b.rI().a,b.nI().a,b.oI().a,b.qI().a,Z2c(b.mI().a),Z2c(b.wI().a),Z2c(b.sI().a)]));npf(a.b,d)}
function rff(a,b,d){var e,g,i;g=znd(a.c,a.a);i=tff(b,d);if(i>0){zz(g,uBj,Hik+i+sBj);zz(g,Iik,Hik+i+sBj)}else{zz(g,uBj,Jik);zz(g,Iik,Jik)}e=new E4c;D4c(C4c((FQd(e.a,"<span style='padding-right:5px;'>"),e),i+sBj),z0j);Cz(g,(new G4c(e.a.a.a)).a)}
function npf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=ppf(a);if(g>b.a.b)throw new oo(Kik+g+Lik+b.a.b);e=ROd(g>=0?(new OOd(FNd($f(b.a,g)))).a:_yj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=$f(b.a,o);if(null==d)throw new oo(Mik+o+Nik);Su(a.b,p,1,d);if(!!i.a&&$2c(e.a,ryj)){rff($f(a.c,o),l3c(e.a),(new kOd(DNd(d))).a)}else if(!!i.a&&a3c(e.a,ryj)){throw new oo(Oik)}++p}}
function opf(a){var b,d,e,g,i,j,k,n,o,p;i=new Hwd;Az((Wfd(),i.gb),e0j);Ewd(i,new snd("<div class='metric-table-title'>"+a.d+J3j));a.b=new Yu;zz(qr(a.b),SCj,a.e+sBj);Qu(a.b,0,0,'Metric');Qu(a.b,0,1,'Actual');Qu(a.b,0,2,UCj);vmd(a.b.d,0,(Vnd(),Und));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Qu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Qu(a.b,j,1,nAj);MWd(a.c,new sff);if(b.a){k=$f(a.c,j-1);Tu(a.b,j,2,(n=new E4c,D4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new And(new G4c(n.a.a.a)),o=znd(k.c,k.b),oz(o,'stacked-bar-total'),zz(o,uBj,Tgk),zz(o,Iik,'width:100%!important'),p=znd(k.c,k.a),oz(p,'stacked-bar-actual'),oA(p,nAj),k.c));rff(k,0,0)}else Su(a.b,j,2,nAj);vmd(a.b.d,j,Und);b.c&&Lnd(a.b.f,j,'metric-table-baseline');++j}wmd(a.b.d,0,0,Pik);wmd(a.b.d,0,1,Pik);wmd(a.b.d,0,2,Pik);xmd(a.b.d);Ewd(i,a.b);return i}
var Rik='Teiid Metrics',Jik='background:none',Iik='cssText',Pik='metric-table-header';w3c(2507,1,{},sff);w3c(2678,1,{},spf);_.a=null;_.e=100;w3c(4582,1011,Pyj,Qgh);_.Ti=function(){this.A.a=this;aI(this.v,(wuf(),vuf),this)};_.Uk=function(){nq((gq(),fq),new Sgh(this))};_.Yi=function(){this.B&&Pgh(this)};_.aj=function(){Zuf(this.a,this)};w3c(4583,1,{},Sgh);_.vd=function(){Pgh(this.a)};w3c(4584,1298,{},Vgh);_.sd=function(a){AYd('Failed to retrieve query engine statistics for Teiid',a.$b())};_.eh=function(a){Ugh(this,a)};w3c(4587,1415,Nyj,bhh);_.Bh=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new sjj;mjj(r,new ijj((uYd(),qik),new dhh(this)));p=new pff(cRj,'Session Count');o=new pff(eRj,'Memory in Use(KB)');n=new pff(gRj,'Memory Used By Active Plans(KB)');g=new pff(iRj,'Buffer Disk Reads');i=new pff(kRj,'Buffer Disk Writes');b=new pff(mRj,'Buffer Cache Reads');d=new pff(oRj,'Buffer Cache Writes');q=new pff(qRj,'Disk Space In Use(MB)');a=new pff(sRj,'Active Plan Count');s=new pff(uRj,'Waiting Plan Count');k=new pff(wRj,'Maximum Plans Waiting Water Mark');e=jM(J1c,Hxj,195,[p,o,n,g,i,b,d,q,a,s,k]);this.b=rpf(qpf(new spf,e),ED());j=VBe(YBe(bCe(ZBe(aCe(new cCe,Qik),Rik),r),'Metrics for teiid subsystem'),Rik,opf(this.b));return WBe(j)};w3c(4588,1,ayj,dhh);_.le=function(a){Pgh(this.a.a)};w3c(4744,1,uzj);_.td=function(){dHd(this.b,Toh(this.a.a))};var y3b=bOd(4582),u3b=bOd(4583),v3b=bOd(4584),A3b=bOd(4587),z3b=bOd(4588),xub=bOd(2678),lrb=bOd(2507);iAj(fp)(75);